Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 191561 - When "reverse name lookup" failed VNC viewer should connect to an IP instead of hostname
Summary: When "reverse name lookup" failed VNC viewer should connect to an IP instead...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-05-12 21:36 UTC by ericm24x7
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-02 14:25:48 UTC


Attachments (Terms of Use)

Description ericm24x7 2006-05-12 21:36:30 UTC
Description of problem:

When anaconda detect failure in "reverse name lookup", it should prompt VNC
viewer to connect to an IP address instead of a hostname. 

Version-Release number of selected component (if applicable):
anaconda-11.1.0.10-1

How reproducible:
persistent

Steps to Reproduce:
1. Prepare a VNC installation with the following kickstart config file (ks.cfg):

      vnc
      url --url ftp://192.168.3.101/mysrc/fed/i386
      lang en_US.UTF-8
      keyboard us      
      network --device eth1 --bootproto dhcp --hostname belize3     
      # NOTE assumption: 
      #     network connected to eth1 device card

2. Start the installation, during boot/startup prompt type:

      linux vnc ks=ftp://192.168.3.101/mysrc/fed/ks.cfg

3. The install program will start VNC and ask client to connect to a hostname
(belize3). 

==========  
Starting VNC...

The VNC server is now running.
Please connect to belize3:1 to begin the install...
Starting graphical installation...
===========

4. From VNC viewer PC type:

     vncviewer belize3:1

Actual results:

Error message box shows-
     VNC Viewer: Information
     unable to resolve host by name: Success (0)

Expected results:

     When anaconda detected a failure in "reverse name lookup" it should have
displayed the IP address (192.168.3.13) instead of the hostname (belize3). So
when it start the VNC it should have the following message prompts:

==========  
Starting VNC...

The VNC server is now running.
Please connect to 192.168.3.12:1 to begin the install...
Starting graphical installation...
===========

Additional info:

Comment 1 Jeremy Katz 2006-05-15 18:48:04 UTC
I thought we did this.  Chris -- you touched it last ;-)

Comment 2 Chris Lumens 2006-06-02 14:25:48 UTC
I don't know if we used to, but we sure do now.


Note You need to log in before you can comment on or make changes to this bug.